Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.util.component
Interface Container.Listener

All Superinterfaces:
  java.util.EventListener

All Known Implementing Classes:
  MBeanContainer

Enclosing class:
  Container

    public static interface Container.Listener

extends java.util.EventListener

Listener. A listener for Container events.

Method Summary
`void` | `add(Container.Relationship relationship)`
`void` | `addBean(java.lang.Object bean)`
`void` | `remove(Container.Relationship relationship)`
`void` | `removeBean(java.lang.Object bean)`

Method Detail

### addBean

    void addBean(java.lang.Object bean)

### removeBean

    void removeBean(java.lang.Object bean)

### add

    void add(Container.Relationship relationship)

### remove

    void remove(Container.Relationship relationship)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.